﻿
<!-- <script src="~/assets/plugins/jquery-validation/jquery.validate.min.js"></script>
<script src="~/assets/plugins/jquery-validation/additional-methods.min.js"></script> -->
<script src="~/assets/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js" type="text/javascript"></script>
<script src="~/assets/plugins/jquery-inputmask/jquery.input-ip-address-control-1.0.min.js" type="text/javascript"></script>
<script src="~/js/sweetalert.min.js"></script>
<script type="text/javascript">

    $("#Mui1_NgayTiem").inputmask("d/m/y", {
        placeholder: "__/__/____"
    });
    $("#Mui2_NgayTiem").inputmask("d/m/y", {
        placeholder: "__/__/____"
    });
</script>

<script type="text/javascript">
    /*------------------Form Validation-----------------*/
    /*Example starter JavaScript for disabling form submissions if there are invalid fields*/
    window.addEventListener('load', function () {
        /* Thông tin tài khoản */
        var form_account = document.getElementsByClassName('form_account_validation');
        var validation = Array.prototype.filter.call(form_account, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Thông tin nhân viên */
        var form_employee = document.getElementsByClassName('form_employee_validation');
        var validation = Array.prototype.filter.call(form_employee, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Thông tin địa chỉ */
        var form_address = document.getElementsByClassName('form_address_validation');
        var validation = Array.prototype.filter.call(form_address, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Mũi 1 */
        var form_mui_1 = document.getElementsByClassName('form_mui_1_validation');
        var validation = Array.prototype.filter.call(form_mui_1, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Mũi 2*/
        var form_mui_2 = document.getElementsByClassName('form_mui_2_validation');
        var validation = Array.prototype.filter.call(form_mui_2, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

    }, false);

    function createCookie(name, value, days) {
        var expires;

        if (days) {
            var date = new Date();
            date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
            expires = "; expires=" + date.toGMTString();
        } else {
            expires = "";
        }
        document.cookie = encodeURIComponent(name) + "=" + encodeURIComponent(value) + expires + "; path=/";
    }

    function readCookie(name) {
        var nameEQ = encodeURIComponent(name) + "=";
        var ca = document.cookie.split(';');
        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) === ' ')
                c = c.substring(1, c.length);
            if (c.indexOf(nameEQ) === 0)
                return decodeURIComponent(c.substring(nameEQ.length, c.length));
        }
        return null;
    }

    function eraseCookie(name) {
        createCookie(name, "", -1);
    }
</script>


<script>
    $('.btnUpdateCMND').click(function () {
        eraseCookie("CMND");
        window.location.reload();
    });
    $('.btnThongTinChung').click(function () {
        var HoTen = $('#HoTen').val();
        var NgaySinh = $('#NgaySinh').val();
        var ThangSinh = $('#ThangSinh').val();
        var NamSinh = $('#NamSinh').val();
        var GioiTinh = $('#GioiTinh').val();
        var MaNhom = $('#MaNhom').val();
        var DonVi = $('#DonVi').val();
        var DonViChiTiet = $('#DonViChiTiet').val();
        var DienThoai = $('#DienThoai').val();
        var BHYT = "";
        var BoPhan = $('#BoPhan').val();
        var CCCD = $('#CCCD').val();
        if (HoTen != "" && DonVi != "" && DienThoai != "" && NgaySinh != "" && ThangSinh != "" && NamSinh != "" && BoPhan != "-1") {
            
            if (NgaySinh.length ==0 || ThangSinh.length ==0 || NamSinh.length ==0 || NgaySinh.length > 2 || ThangSinh.length > 2 || NamSinh.length != 4) {
                swal({
                    title: "Lỗi!",
                    text: "Lỗi ngày tháng năm sinh, vui lòng kiểm tra lại!",
                    type: 'error',
                    showCancelButtonClass: 'OK'
                });
            } else {
                var i_NgaySinh = parseInt(NgaySinh);
                var i_ThangSinh = parseInt(ThangSinh);
                var i_NamSinh = parseInt(NamSinh);
                if (i_NgaySinh > 0 && i_NgaySinh <= 31 && i_ThangSinh > 0 && i_ThangSinh <= 12 && i_NamSinh > 1900 && i_NamSinh <= 2020) {
                    $.ajax({
                        type: "POST",
                        url: '@Url.Action("SaveInfoGeneral", "NhanVien")',
                        data: { HoTen: HoTen, NgaySinh: NgaySinh, ThangSinh: ThangSinh, NamSinh: NamSinh, GioiTinh: GioiTinh, MaNhom: MaNhom, DonVi: DonVi, DienThoai: DienThoai, BHYT: BHYT, DonViChiTiet: DonViChiTiet, BoPhan: BoPhan,CCCD:CCCD },
                        dataType: 'text',
                        success: function (data) {
                            console.log(data);
                            if (data == "true") {
                                $('#info-address-tab').click();
                            } else {
                                swal({
                                    title: "Lỗi cập nhật",
                                    text: "Vui lòng thử lại hoặc liên hệ TISC",
                                    type: 'error',
                                    showCancelButtonClass: 'OK'
                                });
                            }
                        },
                        error: function (e) {
                            swal({
                                title: "Lỗi cập nhật",
                                text: "Vui lòng thử lại hoặc liên hệ TISC",
                                type: 'error',
                                showCancelButtonClass: 'OK'
                            });
                        }
                    });
                } else {
                    swal({
                        title: "Lỗi!",
                        text: "Lỗi ngày tháng năm sinh, vui lòng kiểm tra lại!",
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
                }
            }
        } else {
            swal({
                title: "Lỗi!",
                text: "Vui lòng điền đầy đủ thông tin!",
                type: 'error',
                showCancelButtonClass: 'OK'
            });
        }
    });

    function ChangeFile(evt) {
        console.log($('#file')[0].files[0]);
        var tgt = evt.target || window.event.srcElement,
            files = tgt.files;

        if (FileReader && files && files.length) {
            var fr = new FileReader();
            fr.onload = function () {
                document.getElementById('ImageHinhGiayXN').src = fr.result;
                console.log(fr.result);
            }
            fr.readAsDataURL(files[0]);
        }
        else {
            console.log("error");
        }
    }

    $(document).ready(function () {

        

        $("#v-pills-tabContent").delegate('#MaTinh', 'change', function () {
            var MaTinh = $('#MaTinh').val();
            console.log(MaTinh);
            if (MaTinh != null && MaTinh != "") {
                $.ajax({
                    type: "Post",
                    url: '@Url.Action("GetAllDistrictByProvice", "NhanVien")',
                    data: { MaTinh: MaTinh },
                    dataType: 'text',
                    success: function (data) {
                        $('#MaQuan').empty();
                        $('#MaPhuong').empty();
                        $('#MaToKhuPho').empty();
                        $('#MaPhuong').append("<option value='-1'>Chọn Phường/Xã</option>");
                        $('#MaToKhuPho').append("<option value='-1'>Chọn Tổ/Khu Phố</option>");
                        $('#MaQuan').append(data);
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
            } else {
                swal({
                            title: "Lỗi",
                            text: "Không lấy được dữ liệu",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
            }
        });
        $("#v-pills-tabContent").delegate('#MaQuan', 'change', function () {
            var MaQuan = $('#MaQuan').val();
            console.log(MaQuan);
            if (MaQuan != null && MaQuan != "") {
                $.ajax({
                    type: "Post",
                    url: '@Url.Action("GetAllWardByDistrict", "NhanVien")',
                    data: { MaQuan: MaQuan },
                    dataType: 'text',
                    success: function (data) {
                        $('#MaPhuong').empty();
                        $('#MaPhuong').append(data);
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
            } else {
                swal({
                            title: "Lỗi",
                            text: "Không lấy được dữ liệu",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
            }
        });
        $("#v-pills-tabContent").delegate('#DonViChiTiet', 'change', function () {
            var DonViChiTiet = $('#DonViChiTiet').val();
            console.log(DonViChiTiet);
            if (DonViChiTiet != null && DonViChiTiet != "") {
                $.ajax({
                    type: "Post",
                    url: '@Url.Action("GetAllBoPhanByDonViChiTietId", "NhanVien")',
                    data: { DonViChiTiet: DonViChiTiet },
                    dataType: 'text',
                    success: function (data) {
                        $('#BoPhan').empty();
                        $('#BoPhan').append(data);
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
            } else {
                swal({
                            title: "Lỗi",
                            text: "Không lấy được dữ liệu",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
            }
        });
        $("#v-pills-tabContent").delegate('#MaPhuong', 'change', function () {
            var MaPhuong = $('#MaPhuong').val();
            console.log(MaPhuong);
            if (MaPhuong != null && MaPhuong != "") {
                $.ajax({
                    type: "Post",
                    url: '@Url.Action("GetAllToKhuPhoByWard", "NhanVien")',
                    data: { MaPhuong: MaPhuong },
                    dataType: 'text',
                    success: function (data) {
                        $('#MaToKhuPho').empty();
                        $('#MaToKhuPho').append(data);
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
            } else {
                swal({
                            title: "Lỗi",
                            text: "Không lấy được dữ liệu",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
            }
        });

        $("#v-pills-tabContent").delegate('.btnUpdateInfoAddress', 'click', function () {
            
            var MaTinh = $('#MaTinh').val();
            var MaQuan = $('#MaQuan').val();
            var MaPhuong = $('#MaPhuong').val();
            var MaToKhuPho = $('#MaToKhuPho').val();
            var DiaChi = $('#DiaChi').val();
            if (MaTinh != "-1" && MaQuan != "-1" && MaPhuong != "-1"  && DiaChi != "") {
                $.ajax({
                    type: "POST",
                    url: '@Url.Action("UpdateInfoAddress", "NhanVien")',
                    data: { MaTinh: MaTinh, MaQuan: MaQuan, MaPhuong: MaPhuong, MaToKhuPho: MaToKhuPho, DiaChi: DiaChi },
                    dataType: 'text',
                    success: function (data) {
                        console.log(data);
                        if (data == "true") {
                            //$('#info-mui-1-tab').click();
                            swal({
                                title: "Thông báo",
                                text: "Đã cập nhật thông tin!",
                                type: 'success',
                                confirmButtonColor: "#DD6B55",
                                confirmButtonText: "Đồng ý",
                                showCancelButton: false,
                                cancelButtonText: "Không",
                            },
                                function (isConfirm) {
                                    if (isConfirm) {
                                        eraseCookie("CMND");
                                        window.location.reload();
                                    }
                                }
                            );
                        } else {
                            swal({
                                title: "Lỗi cập nhật",
                                text: "Vui lòng thử lại hoặc liên hệ TISC",
                                type: 'error',
                                showCancelButtonClass: 'OK'
                            });
                        }
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi cập nhật",
                            text: "Vui lòng thử lại hoặc liên hệ TISC",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
            } else {
                swal({
                            title: "Lỗi cập nhật",
                            text: "Vui lòng điền đủ thông tin!",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
            }
        });
        $("#v-pills-tabContent").delegate('.btnQuayLaiThongTin', 'click', function () {
            $('#info-employee-tab').click();
        });

        $("#v-pills-tabContent").delegate('.btnUpdateMui1Staff', 'click', function () {
            
            var Mui1_TenVacxin = $('#Mui1_TenVacxin').val();
            var Mui1_NgayTiem = $('#Mui1_NgayTiem').val();
            var Mui1_SoLo = $('#Mui1_SoLo').val();
            var Mui1_DiaDiem = $('#Mui1_DiaDiem').val();
            $.ajax({
                type: "POST",
                url: '@Url.Action("UpdateMui1Staff", "NhanVien")',
                data: { Mui1_TenVacxin: Mui1_TenVacxin,Mui1_NgayTiem: Mui1_NgayTiem, Mui1_SoLo: Mui1_SoLo, Mui1_DiaDiem: Mui1_DiaDiem},
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    if (data == "true") {
                        $('#info-mui-2-tab').click();
                    } else {
                        swal({
                            title: "Lỗi cập nhật",
                            text: "Vui lòng thử lại hoặc liên hệ TISC",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                },
                error: function (e) {
                    swal({
                        title: "Lỗi cập nhật",
                        text: "Vui lòng thử lại hoặc liên hệ TISC",
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
                }
            });
        });
        $("#v-pills-tabContent").delegate('.btnUpdateMui2Staff', 'click', function () {
            
            var Mui2_TenVacxin = $('#Mui2_TenVacxin').val();
            var Mui2_NgayTiem = $('#Mui2_NgayTiem').val();
            var Mui2_SoLo = $('#Mui2_SoLo').val();
            var Mui2_DiaDiem = $('#Mui2_DiaDiem').val();
            $.ajax({
                type: "POST",
                url: '@Url.Action("UpdateMui2Staff", "NhanVien")',
                data: { Mui2_TenVacxin: Mui2_TenVacxin,Mui2_NgayTiem: Mui2_NgayTiem, Mui2_SoLo: Mui2_SoLo, Mui1_DiaDiem: Mui2_DiaDiem},
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    if (data == "true") {
                        $('#info-other-tab').click();
                    } else {
                        swal({
                            title: "Lỗi cập nhật",
                            text: "Vui lòng thử lại hoặc liên hệ TISC",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                },
                error: function (e) {
                    swal({
                        title: "Lỗi cập nhật",
                        text: "Vui lòng thử lại hoặc liên hệ TISC",
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
                }
            });
        });

    });
</script>
